//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-558 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.21 at 11:49:29 AM CST 
//


package com.bsb.fop.wsdl.product;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for AddOnByOfferID complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AddOnByOfferID">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="AddOns" type="{http://Fingerhut.Services}ArrayOfOfferAddOn" minOccurs="0"/>
 *         &lt;element name="Messages" type="{http://Fingerhut.Services}ErrorBase" minOccurs="0"/>
 *         &lt;element name="SuccessFlag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AddOnByOfferID", propOrder = {
    "addOns",
    "messages",
    "successFlag"
})
public class AddOnByOfferID {

    @XmlElementRef(name = "AddOns", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<ArrayOfOfferAddOn> addOns;
    @XmlElementRef(name = "Messages", namespace = "http://Fingerhut.Services", type = JAXBElement.class)
    protected JAXBElement<ErrorBase> messages;
    @XmlElement(name = "SuccessFlag")
    protected Boolean successFlag;

    /**
     * Gets the value of the addOns property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ArrayOfOfferAddOn }{@code >}
     *     
     */
    public JAXBElement<ArrayOfOfferAddOn> getAddOns() {
        return addOns;
    }

    /**
     * Sets the value of the addOns property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ArrayOfOfferAddOn }{@code >}
     *     
     */
    public void setAddOns(JAXBElement<ArrayOfOfferAddOn> value) {
        this.addOns = ((JAXBElement<ArrayOfOfferAddOn> ) value);
    }

    /**
     * Gets the value of the messages property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ErrorBase }{@code >}
     *     
     */
    public JAXBElement<ErrorBase> getMessages() {
        return messages;
    }

    /**
     * Sets the value of the messages property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ErrorBase }{@code >}
     *     
     */
    public void setMessages(JAXBElement<ErrorBase> value) {
        this.messages = ((JAXBElement<ErrorBase> ) value);
    }

    /**
     * Gets the value of the successFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSuccessFlag() {
        return successFlag;
    }

    /**
     * Sets the value of the successFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSuccessFlag(Boolean value) {
        this.successFlag = value;
    }

}
